Bug 426428 - Toggle night color when middle-clicking the applet
Summary: Toggle night color when middle-clicking the applet
Status: RESOLVED FIXED
Alias: None
Product: kdeplasma-addons
Classification: Plasma
Component: Night Color Control (show other bugs)
Version: 5.18.4
Platform: Archlinux Linux
: NOR wishlist
Target Milestone: ---
Assignee: Plasma Bugs List
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2020-09-11 22:05 UTC by Daniel
Modified: 2020-09-15 17:52 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In: 5.20


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Daniel 2020-09-11 22:05:40 UTC
SUMMARY
currently, you can toggle night color with left click on the tray applet.

There are already many toggling-actions for middle-click: play/pause, mute/unmute, do-not-disturb-mode.

It would be useful to have night-color also toggle on middle click, not just on left click.
Comment 1 Bug Janitor Service 2020-09-15 11:03:32 UTC
A possibly relevant merge request was started @ https://invent.kde.org/plasma/kdeplasma-addons/-/merge_requests/20
Comment 2 David Edmundson 2020-09-15 16:30:22 UTC
Git commit 97c0c472d216cff2ee44804adf835406a3ec7452 by David Edmundson.
Committed on 15/09/2020 at 16:30.
Pushed by davidedmundson into branch 'master'.

[applets/nightcolor] Also toggle on middle click

Middle click is used to toggle an action on other applets that have more
interactive popups, by supporting both nightcolor applet stays
consistent.

M  +1    -0    applets/nightcolor/package/contents/ui/main.qml

https://invent.kde.org/plasma/kdeplasma-addons/commit/97c0c472d216cff2ee44804adf835406a3ec7452